## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pkgname anupq

# This package plays weird tricks with pointers to implement arrays with a
# starting index other than zero.  The weird tricks confuse fortify at level 3,
# so we turn it down to keep fortify from aborting.
%global _fortify_level 2

Name:           gap-pkg-%{pkgname}
Version:        3.3.0
Release:        %autorelease
Summary:        ANU p-Quotient for GAP

License:        Artistic-2.0
# See https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}
URL:            https://gap-packages.github.io/anupq/
VCS:            https://github.com/gap-packages/anupq
Source0:        %{vcs}/releases/download/v%{version}/%{pkgname}-%{version}.tar.bz2

BuildRequires:  gap-devel
BuildRequires:  gap-pkg-autodoc
BuildRequires:  gap-pkg-autpgrp
BuildRequires:  gap-pkg-autpgrp-doc
BuildRequires:  gcc

Requires:       gap-core%{?_isa}
Requires:       gap-pkg-autpgrp

%description
This package gives access to the following algorithms from inside GAP:
1. A p-quotient algorithm to compute a power-commutator presentation for
   a group of prime power order.
2. A p-group generation algorithm to generate descriptions of groups of
   prime power order.
3. A standard presentation algorithm used to compute a canonical
   power-commutator presentation of a p-group.
4. An algorithm which can be used to compute the automorphism group of a
   p-group.

%package doc
# The content is Artistic-2.0.
# The remaining licenses cover the various fonts embedded in PDFs:
# CM: Knuth-CTAN
# CM-Super: GPL-1.0-or-later
# Nimbus: AGPL-3.0-only
# StandardSymL: GPL-1.0-or-later
License:        Artistic-2.0 AND Knuth-CTAN AND GPL-1.0-or-later AND AGPL-3.0-only
Summary:        ANUPQ documentation
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       gap-pkg-autpgrp-doc

%description doc
This package contains documentation for gap-pkg-%{pkgname}.

%prep
%autosetup -n %{pkgname}-%{version}
cp -p standalone-doc/README README.standalone

%build
export LC_ALL=C.UTF-8
%configure --with-gaproot=%{gap_archdir} --disable-silent-rules
%make_build

# Build the documentation
ln -s %{gap_libdir}/doc ../../doc
mkdir -p ../pkg
ln -s ../%{pkgname}-%{version} ../pkg
ln -s %{gap_libdir}/pkg/AutoDoc ../pkg
ln -s %{gap_libdir}/pkg/autpgrp-* ../pkg
ln -s %{gap_libdir}/pkg/GAPDoc ../pkg
gap makedoc.g
rm -fr ../../doc ../pkg

# Build the standalone documentation
cd standalone-doc
pdflatex guide
pdflatex guide
pdflatex guide
cd -

%install
mkdir -p %{buildroot}%{gap_archdir}/pkg/%{pkgname}/doc
cp -a bin examples lib standalone testPq tst *.g  %{buildroot}%{gap_archdir}/pkg/%{pkgname}
%gap_copy_docs

%check
export LC_ALL=C.UTF-8
gap -l "%{buildroot}%{gap_archdir};" tst/testinstall.g

%files
%doc CHANGES README.md README.standalone standalone-doc/guide.pdf
%license LICENSE
%{gap_archdir}/pkg/%{pkgname}/
%exclude %{gap_archdir}/pkg/%{pkgname}/doc/
%exclude %{gap_archdir}/pkg/%{pkgname}/examples/

%files doc
%docdir %{gap_archdir}/pkg/%{pkgname}/doc/
%docdir %{gap_archdir}/pkg/%{pkgname}/examples/
%{gap_archdir}/pkg/%{pkgname}/doc/
%{gap_archdir}/pkg/%{pkgname}/examples/

%changelog
## START: Generated by rpmautospec
* Wed Mar 27 2024 Jerry James <loganjerry@gmail.com> - 3.3.0-1
- Initial RPM
## END: Generated by rpmautospec
